package com.fjhx.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 文件附件
 * </p>
 *
 * @author zlj
 * @since 2022-12-21
 */
@Getter
@Setter
@TableName("email_message_attachment")
public class EmailMessageAttachment implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 附件id
     */
    @TableId(value = "attachment_id", type = IdType.INPUT)
    private String attachmentId;

    /**
     * 文件id
     */
    private String messageId;

    /**
     * 附件名称
     */
    private String name;

    /**
     * 附件大小
     */
    private Integer size;

    /**
     * 附件地址
     */
    private String path;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

}
